(function( $ ) {
	'use strict';

	 $(function() {


	 	if(frpostpro_js.length > 0 ){

	 				var cookieName = 'frpostpro_close';
	 			 	var scrollLimit = frpostpro_settings['frpostpro-scroll-trigger'];
	 				var isShown = false; 
					var readMore = frpostpro_settings['frpostpro-read-more'];
	 			 	var link = frpostpro_js[0].frpostpro_slug;
	 			 	var prev_img = null;
	 			 	var prev_text = null;
	 			 	var animationTimeout;

	 			 	var counter = 0;

	 			 	function showSlide() {

	 			
	 			 		var img = $("<div class='frpostpro-img slidein-image'></div>");
	 			 		var text = $("<div class='frpostpro-text slidein-text'><div class='frpostpro-text-center' id='frpostpro-slide-"+counter+"'><div class='frpostpro-title'>"+frpostpro_js[counter].frpostpro_title+"</div><div class='frpostpro-readmore'>"+readMore+"</div></div></div>");

	 			 			
	 			 		if(frpostpro_js[counter].frpostpro_thumb !== null) {
	 			 			img.css('background-image', 'url(' + frpostpro_js[counter].frpostpro_thumb + ')');
	 			 		}
	 			 		
	 			 	    img.css('background-size', 'cover');
	 			 		text.css({'top':'160px'});

	 			 		$('#frpostpro-click').append(text);
	 			 		$('#frpostpro-click').append(img);

	 			 		var slide = $('#frpostpro-slide-'+counter);
	 			 		slide.css({'top':((80 - slide.height()) / 2) + 'px'});

	 			 		animationTimeout = setTimeout(function() {


	 			 			link = frpostpro_js[counter].frpostpro_slug;

	 			 			if(prev_img){
	 			 				prev_img.remove();
	 			 				prev_text.remove();
	 			 			}

	 			 			prev_img = img;
	 			 			prev_text = text;
	 			 			counter ++;

	 			 			if(counter >= frpostpro_js.length) {
	 			 				counter = 0;
	 			 			}

	 			 			if(frpostpro_js.length > 1) {
	 			 				animationTimeout = setTimeout(function() {
		 					 			 				showSlide();
		 					 			 			}, (frpostpro_settings['frpostpro-slide-duration'] * 1000) + 1200)
	 			 			}

	 			 			
	 			 		}, 1200)

	 			 		

	 			 	}

	 			 	$('#frpostpro-click').click(function(event) {
	 			 		event.stopPropagation();
	 			 		analyticsEvent();
	 		 			window.location = link;
	 		 		});

	 		 		$('#frpostpro-close-button').click(function(event) {
	 			 		event.stopPropagation();
	 			 		clearTimeout(animationTimeout);
	 			 		$('#frpostpro-wrap').hide();
	 			 		setCookie(cookieName, true, frpostpro_settings['frpostpro-close-time'])
	 		 		});

	 			 	 function analyticsEvent() {
	 			 	  try{
	 			 	    if (typeof dataLayer == 'object') {
	 			 	      dataLayer.push({
	 			 	        'event': 'Floating Related Posts',
	 			 	        'eventAction': 'click',
	 			 	        'eventLabel': 'click'
	 			 	      });
	 			 	    }
	 			 	    if (typeof gtag == 'function') {
	 			 	      gtag('event', 'click', {
	 			 	        'event_category': 'Floating Related Posts',
	 			 	        'event_label': 'click',
	 			 	        'transport_type': 'beacon'
	 			 	      });
	 			 	    } else if (typeof ga == 'function') {
	 			 	      ga('set', 'transport', 'beacon');
	 			 	      var trackers = ga.getAll();
	 			 	      trackers.forEach(function (tracker) {
	 			 	        tracker.send("event", 'Floating Related Posts', 'click', 'click');
	 			 	      });
	 			 	    }
	 			 	  }catch(error) {
	 			 	    console.log(error);
	 			 	  }
	 			 	}

	 				if(scrollLimit == 0) {
	 					initFrpro();
	 				} else {
	 					document.addEventListener('scroll', frproScrollListener);
	 				}


	 				function frproScrollListener() {
 					    var h =  document.documentElement,
 					        b =  document.body,
 					        st =  'scrollTop',
 					        sh =  'scrollHeight';
	 					 
	 					if((h[st]||b[st]) >= scrollLimit && !isShown) {
	 					    document.removeEventListener('scroll', frproScrollListener);
	 					    initFrpro();
	 					 }  
	 				}


	 				function initFrpro() {
	 					if(getCookie(cookieName) == null) {
	 						isShown = true;
	 						$('#frpostpro-wrap').show();
	 						$('#frpostpro-wrap').addClass('slidein-main');
	 						showSlide();
	 					}
	 				}

	 	}

	 	 function getCookie(cname) {
	      var name = cname + "=";
	      var decodedCookie = decodeURIComponent(document.cookie);
	      var ca = decodedCookie.split(';');
	      for(var i = 0; i <ca.length; i++) {
	        var c = ca[i];
	        while (c.charAt(0) == ' ') {
	          c = c.substring(1);
	        }
	        if (c.indexOf(name) == 0) {
	          return c.substring(name.length, c.length);
	        }
	      }
	      return null;
	    }

	    function setCookie(cname, cvalue, minutes) {
	      var d = new Date();
	      d.setTime(d.getTime() + (minutes*60*1000));
	      var expires = "expires="+ d.toUTCString();
	      document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
	    }
 	

	})
})( jQuery );
